eye = {}
eye.id = eye_id
eye.r = 32
eye.R = 61
eye.x0 = 916 + eye.r
eye.y0 = 665 + eye.r

function moveEye(eye_id)
  local x0,y0 = eye.x0,eye.y0
  local x1,y1 = GetCursorPos()
  local dx = x0 - x1
  local dy = y0 - y1
  local kx = dx/x0
  local ky = dy/y0
  local x3 = -(eye.R*(512/eye.x0)*(kx) - x0 - eye.R*(512/eye.x0))
  local y3 = -(eye.R*(384/eye.y0)*(ky) - y0 - eye.R*(384/eye.y0))
  SetObjectPosition(eye.id,x3-58,y3-58)
end

function MouseMove() 
  if not flags.CursorBlocking then
    

    moveEye(eye_id) 
  end;
end